| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.RiskEventResult Class Reference

Provides summary information about the risk events that were found if a Power Eraser command was issued with a command type of "Scan" or "ScanWithRootkit.". More...

## Public Member Functions
| RiskEventResult ()
| The default constructor that takes no parameters. More...
| RiskEventResult (Context context, boolean moreResultsAvailable)
| Constructor that takes the context and whether more results are available as parameters. More...
List< RiskEventInfo > | getRiskEvents ()
| Returns a list of risk event objects. More...
void | setRiskEvents (List< RiskEventInfo > riskEvents)
| Client applications should not call this method. More...
boolean | getMoreResultsAvailable ()
| Returns whether more results are available for this request. More...
void | setMoreResultsAvailable (boolean moreResultsAvailable)
| Client applications should not call this method. More...
Context | getContext ()
| Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results. More...
void | setContext (Context context)
| Client applications should not call this method. More...
long | getTotalNumberOfResults ()
| Returns the total number of results for this request. More...
void | setTotalNumberOfResults (long totalNumberOfResults)
| Client applications should not call this method. More...

## Detailed Description

Provides summary information about the risk events that were found if a Power Eraser command was issued with a command type of "Scan" or "ScanWithRootkit.".

This object contains a list of child RiskEventInfo objects that provide detailed information about each risk that was found on the client computer.

## Constructor & Destructor Documentation

com.symantec.sepm.webservice.client.RiskEventResult.RiskEventResult | ( |  | ) |

The default constructor that takes no parameters.

com.symantec.sepm.webservice.client.RiskEventResult.RiskEventResult | ( | Context | context,
|  | boolean | moreResultsAvailable
| ) |  |

Constructor that takes the context and whether more results are available as parameters.

Parameters

  context | object that provides the starting index for multiple sets of results
  moreResultsAvailable | boolean value that indicates whether more results are available for this request

## Member Function Documentation

List<RiskEventInfo> com.symantec.sepm.webservice.client.RiskEventResult.getRiskEvents | ( |  | ) |

Returns a list of risk event objects.

See also
  RiskEventInfo

Returns
  list of RiskEventInfo objects

void com.symantec.sepm.webservice.client.RiskEventResult.setRiskEvents | ( | List< RiskEventInfo > | riskEvents | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  riskEvents | list of RiskEventInfo objects to set

boolean com.symantec.sepm.webservice.client.RiskEventResult.getMoreResultsAvailable | ( |  | ) |

Returns whether more results are available for this request.

Returns
  true if more results are available

void com.symantec.sepm.webservice.client.RiskEventResult.setMoreResultsAvailable | ( | boolean | moreResultsAvailable | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  moreResultsAvailable | whether more results are available

Context com.symantec.sepm.webservice.client.RiskEventResult.getContext | ( |  | ) |

Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results.

Returns
  context object that provides the starting index for multiple sets of results

void com.symantec.sepm.webservice.client.RiskEventResult.setContext | ( | Context | context | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  context | the context to set

long com.symantec.sepm.webservice.client.RiskEventResult.getTotalNumberOfResults | ( |  | ) |

Returns the total number of results for this request.

Returns
  total number of results

void com.symantec.sepm.webservice.client.RiskEventResult.setTotalNumberOfResults | ( | long | totalNumberOfResults | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  totalNumberOfResults | total number of results